#!/bin/sh
################################################################################
#                                                                              #
# Polish Kathi Team 2009                                                       #
#                                                                              #
# contact: http://pkt.cal.pl /                                                 #
#                                                                              #
################################################################################

. /var/config/link
. /var/config/emu.conf
. /var/config/language.conf

#-------------------------------------------------------------------------------
#language section
#-------------------------------------------------------------------------------

if [ $lang == pl ]; then

  info1="Zatrzymanie dzialajacego IncubusCamd"
  info2="Kasowanie IncubusCamd"
  info3="IncubusCamd usuniety!"
  info4="Brak zainstalowanego IncubusCamd"

elif [ $lang == en ]; then

  info1="IncubusCamd is stopping"
  info2="Deleting IncubusCamd"
  info3="IncubusCamd deleted!"
  info4="IncubusCamd is not installed"     

elif [ $lang == ar ]; then

  info1="IncubusCamd إيقاف"
  info2="IncubusCamd حذف"
  info3="IncubusCamd تم حذف"
  info4="IncubusCamd لم يتم تنصيب"

elif [ $lang == fr ]; then

  info1="IncubusCamd s'arrete"
  info2="Suppression IncubusCamd"
  info3="IncubusCamd supprime!"
  info4="IncubusCamd n'est pas installe"
  
elif [ $lang == de ]; then

  info1="Stoppe IncubusCamd"
  info2="Losche IncubusCamd"
  info3="IncubusCamd geloscht!"
  info4="Keine IncubusCamd"

elif [ $lang == it ]; then

  info1="IncubusCamd e' in arresto"
  info2="Eliminazione IncubusCamd ..."
  info3="IncubusCamd eliminato!"
  info4="IncubusCamd non installato"

elif [ $lang == es ]; then
  info1="IncubusCamd se esta parando"
  info2="Borrando IncubusCamd"
  info3="IncubusCamd borrada!"
  info4="IncubusCamd no esta instalada"   


fi

#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

 if [ $emu == incubusCamd ]; then
    echo $info1
    killall -15 incubusCamd 2>/dev/null
    sleep 3
    echo /var/etc/no_emu > /var/etc/active_cam
    echo emuname =no_emu > /var/etc/no_emu
    echo emu=no_emu >/var/config/emu.conf
 fi

 if [ -s /var/emu/incubusCamd ] ; then
    echo $info2
    rm /var/emu/incubusCamd 2>/dev/null
    sleep 3
    echo $info3
 else
    echo $info4
 fi
 
echo ""
 
exit 0